"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.All = exports.Delete = exports.Patch = exports.Post = exports.Put = exports.Get = void 0;
const controller_meta_1 = require("../metadata/controller.meta");
function Get(path = '') {
    return (proto, name, value) => {
        new controller_meta_1.ControllerMeta(proto)
            .getMethod(name, 'get', path, value.value);
    };
}
exports.Get = Get;
function Put(path = '') {
    return (proto, name, value) => {
        new controller_meta_1.ControllerMeta(proto)
            .getMethod(name, 'put', path, value.value);
    };
}
exports.Put = Put;
function Post(path = '') {
    return (proto, name, value) => {
        new controller_meta_1.ControllerMeta(proto)
            .getMethod(name, 'post', path, value.value);
    };
}
exports.Post = Post;
function Patch(path = '') {
    return (proto, name, value) => {
        new controller_meta_1.ControllerMeta(proto)
            .getMethod(name, 'patch', path, value.value);
    };
}
exports.Patch = Patch;
function Delete(path = '') {
    return (proto, name, value) => {
        new controller_meta_1.ControllerMeta(proto)
            .getMethod(name, 'delete', path, value.value);
    };
}
exports.Delete = Delete;
function All(path = '') {
    return (proto, name, value) => {
        new controller_meta_1.ControllerMeta(proto)
            .getMethod(name, 'delete', path, value.value);
    };
}
exports.All = All;
