"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Logger = exports.Param = exports.Query = exports.Body = exports.Header = exports.Res = exports.Response = exports.Req = exports.Request = void 0;
const common_1 = require("../core/common");
exports.Request = (0, common_1.createParamDecorator)((key, req, res) => key
    ? req[key]
    : req);
exports.Req = exports.Request;
exports.Response = (0, common_1.createParamDecorator)((key, req, res) => key
    ? res[key]
    : res);
exports.Res = exports.Response;
exports.Header = (0, common_1.createParamDecorator)((key, req, res) => key
    ? req.headers?.[key]
    : req.headers);
exports.Body = (0, common_1.createParamDecorator)((key, req, res) => key
    ? req.body?.[key]
    : req.body);
exports.Query = (0, common_1.createParamDecorator)((key, req, res) => key
    ? req.query?.[key]
    : req.query);
exports.Param = (0, common_1.createParamDecorator)((key, req, res) => key
    ? req.params?.[key]
    : req.params);
exports.Logger = (0, common_1.createParamDecorator)((key, req, res) => req.log);
